package org.fuseri.modulelanguageschool.course;

import jakarta.persistence.EntityNotFoundException;
import lombok.Getter;
import org.fuseri.modulelanguageschool.common.DomainService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

@Service
public class CourseService extends DomainService<Course> {
    @Getter
    private final CourseRepository repository;

    @Autowired
    public CourseService(CourseRepository repository) {
        this.repository = repository;
    }

    @Transactional(readOnly = true)
    public Course find(String id) {
        return repository.findById(id)
                .orElseThrow(() -> new EntityNotFoundException("Course '" + id + "' not found."));
    }
}
