package org.fuseri.modulelanguageschool.lecture;

import lombok.Getter;
import org.fuseri.modulelanguageschool.common.DomainService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * This class represents a service for handling operations related to Lecture entities.
 * It extends the DomainService class and delegates database operations to its associated repository.
 */
@Service
public class LectureService extends DomainService<Lecture> {

    @Getter
    private final LectureRepository repository;

    /**
     * Constructs a new LectureService instance with the given repository dependency.
     *
     * @param repository the LectureRepository to be used for database operations
     */
    @Autowired
    public LectureService(LectureRepository repository) {
        this.repository = repository;
    }
}
