package org.fuseri.modulelanguageschool.user;

import org.fuseri.model.dto.common.Result;
import org.fuseri.model.dto.user.UserCreateDto;
import org.fuseri.model.dto.user.UserDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/users")
public class UserController {

    private final UserService service;

    private final UserMapper mapper;

    @Autowired
    public UserController(UserService service/*, UserMapper mapper*/) {
        this.service = service;
        this.mapper = null;
    }

    @GetMapping("/{id}")
    public UserDto find(@PathVariable String id) {
        return mapper.toDto(service.find(id));
    }

    @PostMapping
    public UserDto create(@RequestBody UserCreateDto dto) {
        return mapper.toDto(service.create(mapper.fromCreateDto(dto)));
    }

    @GetMapping
    public Result<UserDto> findAll(@RequestParam int page) {
        return mapper.toResult(service.findAll(page));
    }
}
